Bug 32904

Summary: Patrons table processing eternally and not loading
Product: Koha Reporter: Aleisha Amohia <aleisha>
Component: PatronsAssignee: Aleisha Amohia <aleisha>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: normal    
Priority: P5 - low CC: gmcharlt, jonathan.druart, kyle.m.hall, lucas
Version: Main   
Hardware: All   
OS: All   
Change sponsored?: Sponsored Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.04
Bug Depends on: 32030    
Bug Blocks:    
Attachments: Bug 32904: Check if responseJSON is defined for dataTable error
Bug 32904: Check if responseJSON is defined for dataTable error

Description Aleisha Amohia 2023-02-07 22:01:01 UTC
Error in console: Uncaught TypeError: settings.jqXHR.responseJSON is undefined
Comment 1 Aleisha Amohia 2023-02-07 22:03:46 UTC
Created attachment 146362 [details] [review]
Bug 32904: Check if responseJSON is defined for dataTable error

This patch checks if responseJSON is defined before checking if
responseJSON.errors is defined.

Sponsored-by: Education Services Australia SCIS
Comment 2 Aleisha Amohia 2023-02-07 22:05:11 UTC
I'm not sure how to reproduce this or if this is the 'right' fix but it doesn't seem harmful.
Comment 3 Jonathan Druart 2023-02-09 08:47:04 UTC
Created attachment 146418 [details] [review]
Bug 32904: Check if responseJSON is defined for dataTable error

This patch checks if responseJSON is defined before checking if
responseJSON.errors is defined.

Sponsored-by: Education Services Australia SCIS

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2023-02-22 15:04:01 UTC
Trivial, skipping QA.
Comment 5 Tomás Cohen Arazi 2023-02-27 14:42:33 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Matt Blenkinsop 2023-03-01 09:51:21 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 7 Lucas Gass 2023-03-10 14:27:25 UTC
Not needed in 22.05.x, no backport.